# Generated from cybertip-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cybertip

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Examine and evaluate the content. Add related information that may be useful to law enforcement. Use publicly available search tools to determine the geographic location of the apparent criminal act. Provide all information to the appropriate law enforcement agency for potential investigation
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Cybertip gem is created to assist CyberTipLine, which is operated in
partnership with the FBI,
Immigration and Customs Enforcement, U.S. Postal Inspection Service, U.S.
Secret Service, 
military criminal investigative organizations, U.S. Department of Justice,
Internet Crimes 
Against Children Task Force program, as well as other state and local law
enforcement agencies.
Reports to the CyberTipline are made by the public and Electronic Service
Providers. 
ESPs are required by law to report apparent child pornography to law
enforcement via the 
CyberTipline (18 U.S.C. § 2258A).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cybertip.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.0.1-1
- Initial package
